package com.liquidnet.service.reconciliation.dto;

import java.util.Date;

public class TdFundflowUploadVO {

	private Long id;
	private String gatewayNo;
	private String fileName;
	private String fileBatchNo;
	private Long recordTotal;
	private Long payRecordNum;
	private Long refundRecordNum;
	private Long voidRecordNum;
	private Long refuseRecordNum;
	private Long transferRecordNum;
	private Long invoiceRecordNum;
	private Long otherRecordNum;
	private Date uploadTime;
	private String uploadOperater;
	private Long isAccountCheck;
	private Date createTime;
	private String createBy;
	private Date updateTime;
	private String updateBy;
	private Date accountingBeginDate;
	private Date accountingEndDate;
	private Double inDatabaseAmount;
	private Long equalAccountsNum;
	private Double equalAccountsAmount;
	private Long errorNum;
	private Double errorAmount;
	private Long longfundNum;
	private Double longfundAmount;
	private Long doubtNum;
	private Double doubtAmount;
	private String remark;
	private Long shortfundNum;
	private Double shortfundAmount;
	public Long getShortfundNum() {
		return shortfundNum;
	}
	public void setShortfundNum(Long shortfundNum) {
		this.shortfundNum = shortfundNum;
	}
	public Double getShortfundAmount() {
		return shortfundAmount;
	}
	public void setShortfundAmount(Double shortfundAmount) {
		this.shortfundAmount = shortfundAmount;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getGatewayNo() {
		return gatewayNo;
	}
	public void setGatewayNo(String gatewayNo) {
		this.gatewayNo = gatewayNo;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getFileBatchNo() {
		return fileBatchNo;
	}
	public void setFileBatchNo(String fileBatchNo) {
		this.fileBatchNo = fileBatchNo;
	}
	public Long getRecordTotal() {
		return recordTotal;
	}
	public void setRecordTotal(Long recordTotal) {
		this.recordTotal = recordTotal;
	}
	public Long getPayRecordNum() {
		return payRecordNum;
	}
	public void setPayRecordNum(Long payRecordNum) {
		this.payRecordNum = payRecordNum;
	}
	public Long getRefundRecordNum() {
		return refundRecordNum;
	}
	public void setRefundRecordNum(Long refundRecordNum) {
		this.refundRecordNum = refundRecordNum;
	}
	public Long getVoidRecordNum() {
		return voidRecordNum;
	}
	public void setVoidRecordNum(Long voidRecordNum) {
		this.voidRecordNum = voidRecordNum;
	}
	public Long getRefuseRecordNum() {
		return refuseRecordNum;
	}
	public void setRefuseRecordNum(Long refuseRecordNum) {
		this.refuseRecordNum = refuseRecordNum;
	}
	public Long getTransferRecordNum() {
		return transferRecordNum;
	}
	public void setTransferRecordNum(Long transferRecordNum) {
		this.transferRecordNum = transferRecordNum;
	}
	public Long getInvoiceRecordNum() {
		return invoiceRecordNum;
	}
	public void setInvoiceRecordNum(Long invoiceRecordNum) {
		this.invoiceRecordNum = invoiceRecordNum;
	}
	public Long getOtherRecordNum() {
		return otherRecordNum;
	}
	public void setOtherRecordNum(Long otherRecordNum) {
		this.otherRecordNum = otherRecordNum;
	}
	public Date getUploadTime() {
		return uploadTime;
	}
	public void setUploadTime(Date uploadTime) {
		this.uploadTime = uploadTime;
	}
	public String getUploadOperater() {
		return uploadOperater;
	}
	public void setUploadOperater(String uploadOperater) {
		this.uploadOperater = uploadOperater;
	}
	public Long getIsAccountCheck() {
		return isAccountCheck;
	}
	public void setIsAccountCheck(Long isAccountCheck) {
		this.isAccountCheck = isAccountCheck;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getUpdateBy() {
		return updateBy;
	}
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
	public Date getAccountingBeginDate() {
		return accountingBeginDate;
	}
	public void setAccountingBeginDate(Date accountingBeginDate) {
		this.accountingBeginDate = accountingBeginDate;
	}
	public Date getAccountingEndDate() {
		return accountingEndDate;
	}
	public void setAccountingEndDate(Date accountingEndDate) {
		this.accountingEndDate = accountingEndDate;
	}
	public Double getInDatabaseAmount() {
		return inDatabaseAmount;
	}
	public void setInDatabaseAmount(Double inDatabaseAmount) {
		this.inDatabaseAmount = inDatabaseAmount;
	}
	public Long getEqualAccountsNum() {
		return equalAccountsNum;
	}
	public void setEqualAccountsNum(Long equalAccountsNum) {
		this.equalAccountsNum = equalAccountsNum;
	}
	public Double getEqualAccountsAmount() {
		return equalAccountsAmount;
	}
	public void setEqualAccountsAmount(Double equalAccountsAmount) {
		this.equalAccountsAmount = equalAccountsAmount;
	}
	public Long getErrorNum() {
		return errorNum;
	}
	public void setErrorNum(Long errorNum) {
		this.errorNum = errorNum;
	}
	public Double getErrorAmount() {
		return errorAmount;
	}
	public void setErrorAmount(Double errorAmount) {
		this.errorAmount = errorAmount;
	}
	public Long getLongfundNum() {
		return longfundNum;
	}
	public void setLongfundNum(Long longfundNum) {
		this.longfundNum = longfundNum;
	}
	public Double getLongfundAmount() {
		return longfundAmount;
	}
	public void setLongfundAmount(Double longfundAmount) {
		this.longfundAmount = longfundAmount;
	}
	public Long getDoubtNum() {
		return doubtNum;
	}
	public void setDoubtNum(Long doubtNum) {
		this.doubtNum = doubtNum;
	}
	public Double getDoubtAmount() {
		return doubtAmount;
	}
	public void setDoubtAmount(Double doubtAmount) {
		this.doubtAmount = doubtAmount;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	
}
